##
# aims
# mod/amenv.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_amenv_init
#
# Register the env access method
#
sub aimsmod_amenv_init
{
	aimsapi_registerAccessMethod('env', 'amenv');
}

##
# aimsmod_amenv
#
# $name The name of the environment variable
# to get the data from
#
sub aimsmod_amenv
{
	my $name = shift;
	return $ENV{$name};
}

return 1;
