##
# aims
# mod/modprobe.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_modprobe_init
#
# Registers the modprobe handler
#
sub aimsmod_modprobe_init
{
	aimsapi_registerHandler('modprobe', 'modprobe', 1, 1);
}

##
# aimsmod_modprobe
#
# $mod The name of the module to load
#
# Runs the modprobe system command to load
# the specified module into the kernel
#
sub aimsmod_modprobe
{
	my $mod = shift;
	my @args = ('modprobe', $mod->[0]);
	system(@args);
	return 1;
}

return 1;
