##
# aims
# mod/policy.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_policy_init
#
# Register the policy handler
#
sub aimsmod_policy_init
{
	aimsapi_registerHandler('policy', 'policy', 2, 2);
}

##
# aimsmod_policy
#
# $args The argument list
#
# Set the default policy of a chain
#
sub aimsmod_policy
{
	my $args = shift;
	if ($args->[0] ne 'accept' && $args->[0] ne 'drop')
	{
		aims_err($E_PARSE_BADVAL, $args->[0], 'policy');
	}
	elsif (!$args->[1])
	{
		aims_err($E_PARSE_EXP, 'chain');
	}
	aimsapi_setBucket('chain', '-P '.uc($args->[1]).' '.uc($args->[0]));
}

return 1;
