##
# aims
# mod/state.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_state_init
#
# Register the state handler
#
sub aimsmod_state_init
{
	aimsapi_registerHandler('state', 'state', 1, 1);
}

##
# aimsmod_state
#
# $args The list of arguments
#
# Sets the state values of the current rule
#
sub aimsmod_state
{
	my $args = shift;
	my ($states) = $args->[0];
	if (!$states) { aims_err($E_PARSE_EXP, 'states'); }
	aimsapi_pushBucket('expr', '-m state --state '.uc($states));
}

return 1;
