##
# aims
# mod/table.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_table_init
#
# Register the table handler
#
sub aimsmod_table_init
{
	aimsapi_registerHandler('table', 'table', 1, 1);
}

##
# aimsmod_table
#
# $args The argument list
#
# Sets the table of the current rule
#
sub aimsmod_table
{
	my $args = shift;
	my $table = $args->[0];
	if (!$table) { aims_err($E_PARSE_EXP, 'table'); }
	aimsapi_pushBucket('table', "-t $table");
}

return 1;
