##
# aims
# mod/to.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_to_init
#
# Register the to handler
#
sub aimsmod_to_init
{
	aimsapi_registerHandler('to', 'to', 0, 1);
}
##
# aimsmod_to
#
# $args The argument list
#
# Set the destination for the current rule
#
sub aimsmod_to
{
	my $args = shift;
	my $hostnet = $args->[0];

	if (aimsapi_isInterface($hostnet))
	{
		$hostnet = aimsapi_getInterfaceValue($hostnet);
	}

	if ($hostnet) { aimsapi_pushBucket('expr', "-d $hostnet"); }
}

return 1;
