##
# aims
# mod/from.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_from_init
#
# Register the from handler
#
sub aimsmod_from_init
{
	aimsapi_registerHandler('from', 'from', 0, 1);
}

##
# aimsmod_from
#
# $args The arguments for the clause
#
# Set the from address of the rule
#
sub aimsmod_from
{
	my $args = shift;
	my $hostnet = $args->[0];

	if (aimsapi_isInterface($hostnet))
	{
		$hostnet = aimsapi_getInterfaceValue($hostnet);
	}

	if ($hostnet) { aimsapi_pushBucket('expr', "-s $hostnet"); }
}

return 1;
