##
# aims
# mod/include.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_include_init
#
# Registers the include handler
#
sub aimsmod_include_init
{
	aimsapi_registerHandler('include', 'include', 1, 1);
}

##
# aimsmod_include
#
# $args The list of arguments
# $last The last clause processed (not used)
# $rulepos The current position in the ruleset
#
# Processes the specified file and adds the rules
# into the ruleset at the current location.
sub aimsmod_include
{
	my ($args, $last, $rulepos) = @_;
	foreach my $file (glob($args->[0]))
	{
		my $tmprules = aimsapi_processFile($file);
		aimsapi_addRulesAtOffset($tmprules, $rulepos+1);
	}
}

return 1;
