##
# aims
# mod/port.pl
# Copyright (c) 2012 Matt Ferris
# Author: Matt Ferris
#

##
# aimsmod_port_init
#
# Register the port handler
#
sub aimsmod_port_init
{
	aimsapi_registerHandler('port', 'port', 1, 1);
}

##
# aimsmod_port
#
# $args The argument list
# $dir The direction (to or from)
#
# Set the source or destination port
#
sub aimsmod_port
{
	my $args = shift;
	my $dir = shift;
	my $port = $args->[0];
	if ($dir eq 'from') { $ret = '--sport'; }
	elsif ($dir eq 'to') { $ret = '--dport'; }
	else { aims_err($E_PARSE_GENERAL, 'port must be preceeded by from or to'); }
	aimsapi_pushBucket('expr', "$ret $port");
}

return 1;
